
/**
 * Line Chart Component
 * Takes in user defined (consumer's) chartConfig and plots the chart.
 * <line-chart chart-config="config"></line-chart>
 */
import * as angular from 'angular';
import LineChartController from './lineChart-controller';

export default class LineChartComponent{
    static NAME = 'lineChart';
    template = '<div data-netapp-id="lineChart"></div>';
    bindings = {
        userChartConfig: '=chartConfig'
    };
    controller = LineChartController;
}