import * as changePasswordDirective from './nwfChangePassword-directive.html';

import nwfChangePasswordController from './nwfChangePassword-controller';


export class NwfChangePassword  {
    static NAME: string = 'nwfChangePassword';
    public replace = true;
    public restrict = 'E';
    public controller = nwfChangePasswordController;
    public template = changePasswordDirective;
}

// export factory function
export function NwfChangePasswordFactory(): NwfChangePassword {
    return new NwfChangePassword();
}