/**
 * Arearange Chart Controller.
 * This controller sets arearangeChartConfig, sets in correct scope and passes in usersChartConfig.
 * Sets userChartConfig that is watched in base controller(DefaultChartController).
 */
import arearangeChartConfig from './arearangeChart-config';
import DefaultChartController from "../defaultChart-controller";
export default class AreaRangeChartController extends DefaultChartController{

    userChartConfig:Highcharts.Options;
    static $inject = ['$scope', '$element'];

    constructor(private $scope, private $element){
        //invoking base controller and passing in arearangeChart components scope, element and lineChart's configuration.
        super($scope, $element, arearangeChartConfig);
    }

    getUserChartConfig():Highcharts.Options {
        return this.userChartConfig;
    }
}