import * as searchTemplate from './search-template.html';
import SearchController from './search-controller';

export class Search {

    static NAME: string = 'nwfGridSearch';

    restrict = 'E';
    scope = {
        type: '@?'
    };
    replace = true;
    template = searchTemplate;
    require = '^nwfGridParamsController';
    bindToController = true;
    controllerAs = 'search';
    controller = SearchController;
    link = function (scope, element, attrs, gridParamsController) {
        scope.paramsCtrl = gridParamsController;
    };

}
// export factory function
export function SearchFactory(): Search {
    return new Search();
}
