import IconController from './icon-controller';

export default class NwfIcon {
    static NAME = 'nwfIcon';
    bindings = {
        iconClass: '@',
        class: '@'
    };
    template = `
        <div ng-if="!$ctrl.isSvgIcon" class="nwf-icon">
            <i ng-if="!$ctrl.isSvgIcon && $ctrl.isTwoColor" class="l-nwf-icon-stack is-{{$ctrl.iconClass}}"
            data-netapp-id="icon-{{$ctrl.iconClass}}">
                <i class="nwf-icon-stack-background {{$ctrl.backgroundClass}}"></i>
                <i class="nwf-icon-stack-indicator {{$ctrl.indicatorClass}}"></i>
            </i>
            <i ng-if="!$ctrl.isSvgIcon && !$ctrl.isTwoColor" class="{{$ctrl.iconClass}}"></i>
        </div>
        <svg ng-if="$ctrl.isSvgIcon" class="{{$ctrl.svgIconClass}} {{$ctrl.class}}">
			<use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="{{$ctrl.svgIconHref}}"></use>
		</svg>
    `;
    controller = IconController;
}
